/*
 * Copyright  2005 Sun Microsystems Inc. All rights reserved. Use is subject to license terms.
 *  
 */

package com.sunlabs.archsim.fleet.ships.stride;

import com.sunlabs.archsim.base.simulation.Delay;

/** defaults for the Stride */

public class StrideDefaults {
	
	private StrideDefaults() {}
	
	/** terminal name for start value - input */
	public static final String START_VALUE= "StartValue";
	public static final String ACK_START_VALUE= "ackStartValue";
	
	/** terminal name for step size - input */
	public static final String STEP= "Step";
	public static final String ACK_STEP= "ackStep";
	
	/** terminal name for number of counts - input */
	public static final String STEP_COUNT= "StepCount";
	public static final String ACK_STEP_COUNT= "ackStepCount";
	
	/** terminal name for the counter - output */
	public static final String COUNTER= "Counter";
	public static final String ACK_COUNTER= "ackCounter";
	
	/** internal connection - next cycle can commence */
	public static final String INT_CYCLE_DONE_IN= "intCycleDoneIn";
	public static final String INT_ACK_CYCLE_DONE_IN= "intAckCycleDoneIn"; 
	public static final String INT_CYCLE_DONE_OUT= "intCycleDoneOut";
	public static final String INT_ACK_CYCLE_DONE_OUT= "intAckCycleDoneOut";
	public static final String INT_CYCLE_DONE_STATE= "intCycleDoneState";	
	public static final String INT_ACK_CYCLE_DONE_STATE= "intAckCycleDoneState";
	
	/** terminal name for next token - input */
	public static final String NEXT= "Next";
	public static final String ACK_NEXT= "ackNext";

	public static final String DONE= "Done";
	public static final String ACK_DONE= "ackDone";
	
	/** internal action names */
	static final String SETUP_ACTION= "setupAction";
	static final String COUNTING_ACTION= "countingAction";
	static final String DONE_ACTION= "doneAction";
	
	/** state name for internal triggger */
	public static final String START_TRIGGER_STATE= "strideInternalStartTriggerState";
			
	/** stride ack delay identifier */
	public static String STRIDE_ACK_DELAY= "strideAckDelay";
	public static String ACK_DELAY= "ackDelay";
	/** default ack delay */
	public static final Delay STRIDE_ACK_DELAY_DEF= new Delay(0);
	
	/** stride function delay indentifier */
	public static final String STRIDE_COUNTER_DELAY= "strideCounterDelay";
	public static final String COUNTER_DELAY= "counterDelay";
	/** stride function delay default */
	public static final Delay STRIDE_FUNCTION_DELAY_DEF= new Delay(10);
	
	public static final String STRIDE_TRIGGER_DELAY= "strideTriggerDelay";
	public static final Delay STRIDE_TRIGGER_DELAY_DEF= new Delay(0);
	
	/** maximum value of the counter */
	public static final int MAX_COUNTER= 10000;
	/** minimum vakue of the counter */
	public static final int MIN_COUNTER= -10000;
	
	
} // StrideDefaults
